/******************************************************************************/
/*            TEXAS INSTRUMENTS INCORPORATED PROPRIETARY INFORMATION          */ 
/*   Created 2005, (C) Copyright 2005 Texas Instruments.  All rights reserved.*/ 
/*                                                                            */
/*  FILE 	: romboot_RAM.cmd					      */
/*  PURPOSE	: Linker file						      */
/*  PROJECT	: DaVinci ROM boot-loader                                     */
/*  AUTHOR	: Amit Chatterjee                                             */
/******************************************************************************/

MEMORY
{
	BOOT_RAM_INIT_RUN       org= 0x00000100 len= 0x00000100 /* UBL Code */
	BOOT_RAM_CODE_RUN       org= 0x00000200 len= 0x00003500 /* UBL Code */

	BOOT_RAM_INIT_LOAD      org= 0x00010100 len= 0x00000100 /* UBL Code */
	BOOT_RAM_CODE_LOAD      org= 0x00010200 len= 0x00003300 /* UBL Code */
	BOOT_RAM_DATA_LOAD      org= 0x00013500 len= 0x00000400 /* UBL Data */

	BSS_SECTION		org= 0x00013900 len= 0x00000300 /* UBL Stack */

	C_STACK_SECTION		org= 0x00013C00 len= 0x00000400 /* UBL Stack */

	LOAD_ADDR_SECTION	org= 0x00017FFC len= 0x00000004 /* App Addr */

	UBL_DRAM		org= 0x80000000 len= 0x02000000 /* UBL Data */
}


SECTIONS
{
	.boot:		load = BOOT_RAM_INIT_LOAD, run = BOOT_RAM_INIT_RUN
	.text:		load = BOOT_RAM_CODE_LOAD, run = BOOT_RAM_CODE_RUN
	.cinit: 	load = BOOT_RAM_DATA_LOAD, run = BOOT_RAM_DATA_LOAD
	.const: 	load = BOOT_RAM_DATA_LOAD, run = BOOT_RAM_DATA_LOAD

	.bss		>	BSS_SECTION
	.stack		>   BSS_SECTION
	.data		>	UBL_DRAM
	.sysmem		>	UBL_DRAM
	.internal_mem > UBL_DRAM
}

